{
  "name": "co-stack/typo3-socket",
  "description": "Socket for TYPO3",
  "license": "GPL-2.0-only",
  "type": "typo3-cms-extension",
  "homepage": "https://gitlab.com/co-stack.com/co-stack.com/typo3-extensions/typo3-socket",
  "authors": [
    {
      "name": "Oliver Eglseder",
      "email": "oliver.eglseder@co-stack.com",
      "homepage": "https://www.co-stack.com/",
      "role": "Developer"
    }
  ],
  "autoload": {
    "psr-4": {
      "CoStack\\Typo3Socket\\": "Classes"
    }
  },
  "require": {
    "php": "^8.2",
    "ext-json": "*",
    "react/socket": "^1.12",
    "typo3/cms-core": "^12.4.0"
  },
  "extra": {
    "branch-alias": {
      "dev-master": "2.0.x-dev"
    },
    "typo3/cms": {
      "web-dir": ".Build/Web",
      "extension-key": "typo3_socket"
    }
  },
  "config": {
    "vendor-dir": ".Build/vendor",
    "bin-dir": ".Build/bin",
    "allow-plugins": {
      "typo3/class-alias-loader": true,
      "typo3/cms-composer-installers": true
    }
  },
  "require-dev": {
    "typo3/minimal": "^v12.4.0",
    "typo3/testing-framework": "^8"
  }
}
